Package org.snpeff.fileIterator

# Class SeekableBufferedReader

java.lang.Object
java.io.Reader
java.io.BufferedReader
org.snpeff.fileIterator.SeekableBufferedReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

public class SeekableBufferedReader extends BufferedReader
A buffered reader for a file. It allows to 'seek' and 'readLine()'

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`DEFAULT_BUFFER_SIZE`

### Fields inherited from class java.io.Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`SeekableBufferedReader(String fileName)`
`SeekableBufferedReader(String fileName, int bufferSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`equals(Object arg0)`
`long`
`getFilePointer()`
`int`
`hashCode()`
`void`
`mark(int readAheadLimit)`
`boolean`
`markSupported()`
`void`
`open(String fileName)`
`int`
`read()`
`int`
`read(char[] buff)`
`int`
`read(char[] cbuf, int off, int len)`
`int`
`read(CharBuffer arg0)`
`String`
`readLine()`
`boolean`
`ready()`
`void`
`reset()`
`void`
`seek(long pos)`
Seek to a position in the file
`long`
`skip(long n)`
`String`
`toString()`

### Methods inherited from class java.io.BufferedReader

`lines`

### Methods inherited from class java.io.Reader

`nullReader, transferTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_BUFFER_SIZE

public static int DEFAULT_BUFFER_SIZE

## Constructor Details

### SeekableBufferedReader

public SeekableBufferedReader(String fileName) throws IOException

Throws:
  `IOException`

### SeekableBufferedReader

public SeekableBufferedReader(String fileName, int bufferSize) throws IOException

Throws:
  `IOException`

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `BufferedReader`
Throws:
  `IOException`

### equals

public boolean equals(Object arg0)

Overrides:
  `equals` in class `Object`

### getFilePointer

public long getFilePointer()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### mark

public void mark(int readAheadLimit) throws IOException

Overrides:
  `mark` in class `BufferedReader`
Throws:
  `IOException`

### markSupported

public boolean markSupported()

Overrides:
  `markSupported` in class `BufferedReader`

### open

public void open(String fileName) throws IOException

Throws:
  `IOException`

### read

public int read() throws IOException

Overrides:
  `read` in class `BufferedReader`
Throws:
  `IOException`

### read

public int read(char[] buff) throws IOException

Overrides:
  `read` in class `Reader`
Throws:
  `IOException`

### read

public int read(char[] cbuf, int off, int len) throws IOException

Overrides:
  `read` in class `BufferedReader`
Throws:
  `IOException`

### read

public int read(CharBuffer arg0) throws IOException

Specified by:
  `read` in interface `Readable`
Overrides:
  `read` in class `Reader`
Throws:
  `IOException`

### readLine

public String readLine() throws IOException

Overrides:
  `readLine` in class `BufferedReader`
Throws:
  `IOException`

### ready

public boolean ready() throws IOException

Overrides:
  `ready` in class `BufferedReader`
Throws:
  `IOException`

### reset

public void reset() throws IOException

Overrides:
  `reset` in class `BufferedReader`
Throws:
  `IOException`

### seek

public void seek(long pos) throws IOException
Seek to a position in the file

Throws:
  `IOException`

### skip

public long skip(long n) throws IOException

Overrides:
  `skip` in class `BufferedReader`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`